=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE    = .pdf
DEB_MAKE_BUILD_TARGET   = frown man
DEB_MAKE_INSTALL_TARGET = install PREFIX="$(DEB_DESTDIR)usr" doc="$(DEB_DESTDIR)usr/share/doc/frown-doc"
DEB_MAKE_CLEAN_TARGET   = distclean
# DEB_MAKE_CHECK_TARGET   = test 

clean::
	dh_testdir
	rm -f Manual/Manual.pdf Manual/Manual.ps Manual/Manual.dvi Manual/Manual.tex
	rm -rf Manual/html Manual/Manual[0-9]*.png  Manual/*_motif.gif

common-install-prehook-arch::
	dh_testdir
	mkdir -p debian/tmp/usr/bin

common-install-prehook-indep::
	dh_testdir
	mkdir -p debian/tmp/usr/bin

binary-post-install/frown::
	dh_testdir
	rm debian/frown/usr/share/doc/frown/README

binary-post-install/frown-doc::
	rm debian/frown-doc/usr/share/doc/frown-doc/README
	rm debian/frown-doc/usr/share/doc/frown-doc/examples/manual/Sessions.lhs
	rm debian/frown-doc/usr/share/doc/frown-doc/examples/manual/TestFrown.lhs

.PHONY: update-debian-control
