## frown 0.6.2.3

=== Manual/Makefile ===
--- 
+++ 
@@ -21,9 +21,9 @@
 #   Email:      Ralf Hinze <ralf@cs.uni-bonn.de>                              #
 #   Homepage:   http://www.informatik.uni-bonn.de/~ralf/                      #
 #   Paper mail: Dr. Ralf Hinze                                                #
-#               Institut fr Informatik III                                   #
-#               Universitt Bonn                                              #
-#               Rmerstrae 164                                               #
+#               Institut für Informatik III                                   #
+#               Universität Bonn                                              #
+#               Römerstraße 164                                               #
 #               53117 Bonn, Germany                                           #
 #                                                                             #
 ###############################################################################
@@ -117,7 +117,7 @@
 	hacha $(file).html
 	imagen $(file)
 	mkdir -p html
-	mv index.html $(file).html $(file).css $(file)[0-9]*.html $(file)[0-9]*.gif *motif.gif html
+	mv index.html $(file).html $(file).css $(file)[0-9]*.html $(file)[0-9]*.png *motif.gif html
 
 spell: $(file).tex
 	egrep -v '$\%' $(file).tex | $(spell) $(file).spell | sort | uniq
