=== debian/changelog ===
frown (0.6.2.3-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:16 -0400

frown (0.6.2.3-3) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:44:24 -0400

frown (0.6.2.3-2) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Ilias Tsitsimpis ]
  * Propagate the changes from experimental (0.6.2.3-1) to unstable
  * Drop the 04_manual-typos patch.
    The above patch produces the wrong output by trying to add
    backslashes where they are not needed.
  * Disable dbgsym generation.
    GHC cannot produce debugging symbols, so the dbgsym package ends
    up being empty.
  * Add patch 'fix-pdf-generation'.
    Due to an error in the way Makefile produces the doc files, the
    Manual.pdf file was not generated correctly. This has been fixed
    by patching the Makefile.
  * Update d/copyright file with missing copyright notices.
    Some files under 'Examples/Haskell' directory are distributed under
    the Glasgow Haskell Compiler License.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Sun, 22 May 2016 14:40:46 +0300

frown (0.6.2.3-1) experimental; urgency=medium

  * New upstream release.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 16 Mar 2016 10:52:50 +0100

frown (0.6.2.2-1) experimental; urgency=medium

  * Upgrade to hackage release of frown.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Feb 2016 13:03:49 +0100

frown (0.6.1-14.1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark frown as Multi-Arch:foreign.

  [ Joachim Breitner ]
  * Bump standards-version to 3.9.6

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:52 +0200
